Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmUnsolvedCubeDimensionality

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmCubeDimensionality
                        |
                        +--oracle.olapi.metadata.mtm.MtmUnsolvedCubeDimensionality

public class MtmUnsolvedCubeDimensionality
extends MtmCubeDimensionality

An `MtmCubeDimensionality` object for one hierarchy in an unsolved `MtmBaseCube`. With the `getDimensionExpression` and `setDimensionExpression` methods, you can get or set the `MtmExpression` that records the columns in the dimension tables (for this one hierarchy) that Oracle OLAP joins to solve the `MdmBaseCube`.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmUnsolvedCubeDimensionality` method of the specified `MtmObjectVisitor` and passes that method this `MtmUnsolvedCubeDimensionality` and the specified `context` object.
`MtmExpression` | `getDimensionExpression()` Gets the `MtmExpression` that records the columns in the dimension tables (for one hierarchy) that must be joined in order to solve the `MtmBaseCube`.
`MtmExpression` | `getLocalExpression()` Gets the `MtmExpression` that describes the columns in the fact table that must be joined in order to construct an `MdmMeasure` in the `MtmBaseCube`.
`void` | `setDimensionExpression(MtmExpression newDimensionExpression)` Specifies the `MtmExpression` that records the columns in the dimension tables (for one hierarchy) that must be joined in order to solve the `MtmBaseCube` object.
`void` | `setLocalExpression(MtmExpression newLocalExpression)` Specifies the `MtmExpression` that describes the columns in the fact table that must be joined in order to construct an `MdmMeasure` in the `MtmBaseCube`.

Methods inherited from class oracle.olapi.metadata.mtm.MtmCubeDimensionality
`getDimensionIsDense, getDimensionMap, setDimensionIsDense, setDimensionMap`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmUnsolvedCubeDimensionality` method of the specified `MtmObjectVisitor` and passes that method this `MtmUnsolvedCubeDimensionality` and the specified `context` object.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmUnsolvedCubeDimensionality` method.

### getDimensionExpression

    public MtmExpression getDimensionExpression()

  Gets the `MtmExpression` that records the columns in the dimension tables (for one hierarchy) that must be joined in order to solve the `MtmBaseCube`.
  Returns:
    The `MtmExpression` that describes the dimension tables for this `MtmUnsolvedCubeDimensionality` object.

### getLocalExpression

    public MtmExpression getLocalExpression()

  Gets the `MtmExpression` that describes the columns in the fact table that must be joined in order to construct an `MdmMeasure` in the `MtmBaseCube`.
  Returns:
    The `MtmExpression` for this `MtmCubeDimensionality` object.

### setDimensionExpression

    public void setDimensionExpression(MtmExpression newDimensionExpression)

  Specifies the `MtmExpression` that records the columns in the dimension tables (for one hierarchy) that must be joined in order to solve the `MtmBaseCube` object.
  Parameters:
    `newDimensionExpression` - The `MtmExpression` that describes the dimension tables for this `MtmUnsolvedCubeDimensionality` object.

### setLocalExpression

    public void setLocalExpression(MtmExpression newLocalExpression)

  Specifies the `MtmExpression` that describes the columns in the fact table that must be joined in order to construct an `MdmMeasure` in the `MtmBaseCube`.
  Parameters:
    `newLocalExpression` - The `MtmExpression` for this `MtmCubeDimensionality` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.